﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Globalization;
using System.Windows.Input;


namespace PrayerTimes
{
  
    public partial class MainWindow : Window
    {
        //ابتدا یک آبجکت از کلاس تعریف می کنیم
        Prayer_times_class.Prayer_times pt = new Prayer_times_class.Prayer_times();
        System.Globalization.PersianCalendar pc = new PersianCalendar();

        //  سپس طول ها و عرض های جغرافیایی شهرهای دلخواه و نام شهر ها را به ترتیب در سه آرایه تعریف می کنیم
        //  ترتیب را در هر سه آرایه رعایت کنید
        // برای تمرین توصیه می کنم از آرایه های زیر استفاده کنید

        double[] lo = { 49.7, 48.3, 45.07, 51.64, 48.68, 46.42, 57.33, 56.29, 50.84, 59.21, 46.28, 51.41, 48.34, 49.59, 60.86, 48.5, 53.06, 53.39, 47, 50.86, 52.52, 50, 50.88, 57.06, 47.09, 54.44, 59.58, 48.52, 51.59, 54.35 };
        double[] la = { 34.09, 38.25, 37.55, 32.68, 31.32, 33.64, 37.47, 27.19, 28.97, 32.86, 38.08, 35.7, 33.46, 37.28, 29.5, 36.68, 36.57, 35.58, 35.31, 32.33, 29.62, 36.28, 34.64, 30.29, 34.34, 36.84, 36.31, 34.8, 30.67, 31.89 };
        string[] cities = { "اراک", "اردبیل", "ارومیه", "اصفهان", "اهواز", "ایلام", "بجنورد", "بندر عباس", "بوشهر", "بیرجند", "تبریز", "تهران", "خرم آباد", "رشت", "زاهدان", "زنجان", "ساری", "سمنان", "سنندج", "شهرکرد", "شیراز", "قزوین", "قم", "کرمان", "کرمانشاه", "گرگان", "مشهد", "همدان", "یاسوج", "یزد" };

        //متغیر زیر برای اندیس  آرایه ها است
        int ci;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // آرایه شهر ها را به لیست شهر ها متصل می کنیم
            cmbCities.ItemsSource = cities;
        }

        private void cmbCities_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            //متغیر اندیس را مقدار دهی می کنیم
            ci=cmbCities.SelectedIndex;

            //طول و عرض جغرافیایی و ماه و روز را تنظیم می کنیم
            pt.SetGeo(lo[ci], la[ci],pc.GetMonth(DateTime.Now),pc.GetDayOfMonth(DateTime.Now));

            
            lblAzanSobh.Content = pt.GetAzanSobh();
            lblAzanZohr.Content = pt.GetAzanZohr();
            lblAzanMaghreb.Content = pt.GetAzanMaghreb();

            lblToluoe.Content = pt.GetTolue();
            lblGhoruob.Content = pt.GetGhorub();
            lblNimehShab.Content = pt.GetNimehShab();
        }
    }
}
